/****************************************************************************

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
    
    @author T.Y.Shin (https://github.com/zeroreloaded)
    
******************************************************************************/
package kr.gmtc.gw.dev.asderecv.asde.asterix.spec;

import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties(ignoreUnknown = true) 
public class AsterixSpecVO_Structure implements Serializable
{
	
    private static final long serialVersionUID = -4804047491424671870L;
    
	private String name;
    private String procseq;
    
    private String frombit;
    private String tobit;
    private String desc;
    private String resolution;
    private String datatype;
    private String unit;
    private AsterixSpecVO_Codes codes;
    
    private String min;
    private String max;
    
    private String serviceFieldName;
    
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}

	public String getProcseq() {
		return procseq;
	}
	public void setProcseq(String procseq) {
		this.procseq = procseq;
	}
	public String getFrombit() {
		return frombit;
	}
	public void setFrombit(String frombit) {
		this.frombit = frombit;
	}
	public String getTobit() {
		
		if(this.tobit == null) {
			return this.frombit; 
		}else {
			return tobit;
		}
		
	}
	public void setTobit(String tobit) {
		this.tobit = tobit;
	}
	public String getDesc() {
		return desc;
	}
	public void setDesc(String desc) {
		this.desc = desc;
	}
	public String getResolution() {
		return resolution;
	}
	public void setResolution(String resolution) {
		this.resolution = resolution;
	}
	public String getDatatype() {
		if(this.datatype == null) {
			return datatype = "uint";
		}else {
			return datatype;
		}
		
	}
	public void setDatatype(String datatype) {
		this.datatype = datatype;
	}
	public String getUnit() {
		return unit;
	}
	public void setUnit(String unit) {
		this.unit = unit;
	}
	public AsterixSpecVO_Codes getCodes() {
		return codes;
	}
	public void setCodes(AsterixSpecVO_Codes codes) {
		this.codes = codes;
	}
	public String getMin() {
		return min;
	}
	public void setMin(String min) {
		this.min = min;
	}
	public String getMax() {
		return max;
	}
	public void setMax(String max) {
		this.max = max;
	}
	public String getServiceFieldName() {
		return serviceFieldName;
	}
	public void setServiceFieldName(String serviceFieldName) {
		this.serviceFieldName = serviceFieldName;
	}
	
    

    
}